Name:          brew
Version:       0.2.10
Release:       1%{?dist}
Summary:       Maven plugin for compiling coffeescript, haml-js and aggregating AMD-based js projects
# http://creativecommons.org/licenses/LGPL/2.1/
License:       ASL 2.0 and BSD and LGPLv2+ and MIT and Public Domain
URL:           https://github.com/jakewins/brew
Source0:       https://github.com/jakewins/brew/archive/%{name}-%{version}.tar.gz
# Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7066596
BuildRequires: mvn(com.google.javascript:closure-compiler)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.commons:commons-io)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven:maven-project)
BuildRequires: mvn(org.codehaus.jackson:jackson-core-asl)
BuildRequires: mvn(org.codehaus.jackson:jackson-mapper-asl)
BuildRequires: mvn(org.jboss.apiviz:apiviz)
BuildRequires: mvn(org.mockito:mockito-all)
BuildRequires: mvn(org.mozilla:rhino)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: maven-local
BuildRequires: maven-clean-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-plugin-plugin

BuildArch:     noarch

%description
A collection of tools to brew client side coffee apps.
Includes coffeescript builder, requirejs builder and
HAML compiler.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

#%%pom_remove_plugin :maven-invoker-plugin
%pom_remove_dep :junit-dep src/functionaltest/testprojects/coffeeTest
%pom_remove_dep :junit-dep src/functionaltest/testprojects/hamlTest
%pom_remove_dep :junit-dep src/functionaltest/testprojects/testTest
# this test fail
%pom_remove_dep :junit-dep src/functionaltest/testprojects/requireTest
rm -r src/functionaltest/testprojects/requireTest
sed -i 's/\r//' COPYRIGHT.txt NOTICE.txt

%build

%mvn_file : %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt LICENSES.txt NOTICE.txt README.md

%files javadoc -f .mfiles-javadoc
%doc COPYRIGHT.txt LICENSE.txt LICENSES.txt NOTICE.txt

%changelog
* Mon Jun 23 2014 gil cattaneo <puntogil@libero.it> 0.2.10-1
- initial rpm
